Index: palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 183)
+++ palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 190)
@@ -2176,19 +1805,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsvs
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsvs 
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsvs
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsvs 
                   else 
                      res@trXMaxF            = xe  
@@ -2206,19 +1827,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwv
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwv
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwv
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwv 
                   else 
                      res@trXMaxF            = xe  
@@ -2237,19 +1850,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpptp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpptp
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpptp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpptp 
                   else 
                      res@trXMaxF            = xe  
@@ -2267,19 +1872,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwspts
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwspts
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwspts
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwspts 
                   else 
                      res@trXMaxF            = xe  
@@ -2297,19 +1894,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpt
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpt
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpt
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpt 
                   else 
                      res@trXMaxF            = xe  
@@ -2328,22 +1917,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsptsBC
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsptsBC
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsptsBC
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsptsBC 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
@@ -2358,19 +1939,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwptBC
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwptBC
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwptBC
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwptBC 
                   else 
                      res@trXMaxF            = xe  
@@ -2389,22 +1962,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpvptp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpvptp
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpvptp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpvptp 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
@@ -2419,22 +1984,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsvpts
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsvpts
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsvpts
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsvpts 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
@@ -2449,19 +2006,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwvpt
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwvpt
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwvpt
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwvpt 
                   else 
                      res@trXMaxF            = xe  
@@ -2480,19 +2029,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpqp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpqp
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpqp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpqp 
                   else 
                      res@trXMaxF            = xe  
@@ -2510,19 +2051,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsqs
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsqs
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsqs
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsqs 
                   else 
                      res@trXMaxF            = xe  
@@ -2540,22 +2073,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwq
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwq
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwq
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwq 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
@@ -2571,22 +2096,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpqvp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpqvp
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpqvp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpqvp 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
@@ -2601,19 +2118,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsqvs
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsqvs
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsqvs
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsqvs 
                   else 
                      res@trXMaxF            = xe  
@@ -2631,19 +2140,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwqv
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwqv
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwqv
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwqv 
                   else 
                      res@trXMaxF            = xe  
@@ -2662,19 +2163,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpsp
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpsp
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpsp
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpsp 
                   else 
                      res@trXMaxF            = xe  
@@ -2692,19 +2185,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsss
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsss
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsss
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsss 
                   else 
                      res@trXMaxF            = xe  
@@ -2722,19 +2207,11 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniws
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiws
-                     end if
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniws
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiws 
                   else 
                      res@trXMaxF            = xe  
@@ -2753,22 +2230,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwpsap
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwpsap
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwpsap
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwpsap 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
@@ -2783,22 +2252,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwssas
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwssas
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwssas
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwssas 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
@@ -2813,22 +2274,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = miniwsa
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxiwsa
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = miniwsa
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxiwsa 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if
@@ -2844,22 +2297,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minius2
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxius2
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minius2
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxius2 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res) 
                end if 
@@ -2874,22 +2319,14 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  if (.not. isvar("xs")) then 
-                     if (parameter(63) .NE. "x0") then
-                        res@trXMinF = stringtofloat(parameter(63))
-                     else
-                        res@trXMinF            = minivs2
-                     end if
-                  else 
-                     res@trXMinF            = xs
-                  end if
-                  if (.not. isvar("xe")) then 
-                     if (parameter(65) .NE. "xdim") then
-                        res@trXMaxF = stringtofloat(parameter(65))
-                     else
-                        res@trXMaxF            = maxivs2
-                     end if
-                  else 
-                     res@trXMaxF            = xe  
-                  end if 
+                  if (xs .EQ. -1) then 
+                     res@trXMinF            = minivs2
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (xe .EQ. -1) then        
+                     res@trXMaxF            = maxivs2 
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)
                end if
